<?php
// Create variables
$article_schema_type = '';
$article_body_schema = '';

// Get options
$sidebar_position = mnmd_bone_get_single_option( 'single_post_sidebar_position', 'right' );

$review_switch = mnmd_bone_get_metabox( 'review_switch', '0' );
if ($review_switch == '1') {
    $article_schema_type = 'http://schema.org/Review';
    $article_body_schema = 'reviewBody';
} else {
    $article_schema_type = 'http://schema.org/BlogPosting';
    $article_body_schema = 'articleBody';
}

set_query_var('sidebar_position', $sidebar_position);
set_query_var('article_schema_type', $article_schema_type);
set_query_var('article_body_schema', $article_body_schema);
set_query_var('article_schema_type', $article_schema_type);

if ($sidebar_position === 'none' ) {
	get_template_part( 'templates/single-fullwidth' );
} else {
	get_template_part( 'templates/single-with-sidebar' );
}