<?php
	$args = mnmd_bone_create_ft_args();
	if ( !$args ) {
		return; // there's no post to show
	}

	$featured_class = 'featuredBlock featuredBlock--altGrid';
	$background_toggle = mnmd_bone_get_option( 'featured_posts_background_toggle' );
	if ( $background_toggle === 'yes' ) {
		$featured_class .= ' featuredBlock--altGrid--has-background';
	}

	$feat_query = new WP_Query( $args );

if ( $feat_query->have_posts() ) :
?>
<div class="<?php echo esc_attr( $featured_class ); ?>">
	<?php
	if ( $background_toggle === 'yes' ) {
	?>
		<div class="featuredBlock-background d-none d-lg-block"></div>
	<?php
	}
	?>
	<div class="featuredBlock-inner">
		<div class="container-fluid container-md">
			<?php while ( $feat_query->have_posts() ) : $feat_query->the_post(); ?>

				<?php if ($feat_query->current_post < 2) { ?>

					<?php if ($feat_query->current_post == 0) { ?>
					<div class="featuredBlock--altGrid--main row g-3 g-lg-4">
					<?php } ?>

						<div class="featuredBlock--altGrid--main-item col-lg-6">
							<?php get_template_part( 'templates/post-tile-center' ); ?>
						</div>

					<?php if (($feat_query->current_post == 1) || $feat_query->current_post == ($feat_query->post_count - 1)) { ?>
					</div>
					<?php } ?>

				<?php } else { ?>

					<?php if ($feat_query->current_post == 2) { ?>
					<div class="featuredBlock--altGrid--minor row g-3 g-lg-4 mt-1">
					<?php } ?>

						<div class="featuredBlock--altGrid--minor-item col-lg-4">
						<?php
							$title_limit = 80;
							set_query_var('title_limit', $title_limit);
							get_template_part( 'templates/post-list-paper-micro' );
						?>
						</div>

					<?php if (($feat_query->current_post == 0) || $feat_query->current_post == ($feat_query->post_count - 1)) { ?>
					</div>
					<?php } ?>

				<?php } ?>

			<?php endwhile;?>
		</div>
	</div>
</div>
<?php
endif;
wp_reset_postdata();