<?php
	$thumb_size = 'mnmd_bone_xl';
	$args = mnmd_bone_create_ft_args();
	if ( !$args ) {
		return; // there's no post to show
	}

	$featured_class = 'featuredBlock featuredBlock--tiles py-3 py-md-5';
	$background_toggle = mnmd_bone_get_option( 'featured_posts_background_toggle' );
	if ( $background_toggle === 'yes' ) {
		$featured_class .= ' featuredBlock--has-background';
	}
	$feat_query = new WP_Query( $args );

if ( $feat_query->have_posts() ) :
?>
<div class="<?php echo esc_attr( $featured_class ); ?>">
	<?php
	if ( $background_toggle === 'yes' ) {
	?>
		<div class="featuredBlock-background d-none d-xxl-block"></div>
	<?php
	}
	?>
	<div class="featuredBlock-inner">
		<div class="container-fluid container-xxl">
			<div class="row g-3">
			<?php
			 while ( $feat_query->have_posts() ) : $feat_query->the_post();
				switch ($feat_query->current_post) {
					case 0:
						echo '<div class="tileItem tileItem--tall tileItem--primary col-12 col-lg-8">';
						get_template_part( 'templates/post-tile-large');
						echo '</div>';
						break;

					case 1:
						$thumb_size = 'mnmd_bone_lg';
						echo '<div class="tileItem tileItem--tall col-12 col-sm-6 col-lg-4">';
						get_template_part( 'templates/post-tile');
						echo '</div>';
						break;

					case 2:
					case 3:
					case 4:
						$thumb_size = 'mnmd_bone_lg';
						echo '<div class="tileItem col-12 col-sm-6 col-lg-4">';
						get_template_part( 'templates/post-tile');
						echo '</div>';
						break;
				}
			endwhile;
			?>
			</div>
		</div>
	</div>
</div>
<?php
endif;
wp_reset_postdata();