<?php
	$classes = array(
		'postItem',
		'post--card',
		'post--card--micro',
	);
	$article_link =  get_permalink();
	if (!isset($thumb_size)) {
		$thumb_size = 'mnmd_bone_sm';
	}
?>
<article <?php post_class( $classes ); ?>>
	<?php if ( has_post_thumbnail() ) { ?>
	<div class="postFeaturedImg u-ratio2to1 o-imageCropper">
		<?php the_post_thumbnail($thumb_size); ?>
		<?php mnmd_bone_format_icon(); ?>
		<a href="<?php echo esc_url($article_link); ?>" class="o-overlayLink"></a>
	</div>
	<?php } ?>
	<h3 class="postTitle entry-title">
		<a href="<?php echo esc_url($article_link); ?>" rel="bookmark"><?php the_title(); ?></a>
	</h3>
	<div class="metaText metaDate"><abbr class="published updated" title="<?php the_time(get_option( 'date_format' )); ?>"><?php mnmd_bone_human_datetime(); ?></abbr></div>
</article>