<?php
	$classes = array(
		'postItem',
		'post--list--paper',
		'post--list--paper--micro',
		'card',
		'shadow-2'
	);
	$article_link =  get_permalink();
	if (!isset($title_limit)) {
		$title_limit = 120;
	}
?>
<article <?php post_class( $classes ); ?>>
	<div class="card-body d-flex align-items-center">
		<?php if ( has_post_thumbnail() ) { ?>
			<div class="postFeaturedImg flex-shrink-0 me-4">
				<?php the_post_thumbnail('mnmd_bone_xs'); ?>
			</div>
		<?php } ?>
		<div class="flex-grow-1">
			<h3 class="postTitle entry-title h6">
				<a href="<?php echo esc_url($article_link); ?>" rel="bookmark"><?php echo mnmd_bone_truncate(get_the_title(), $title_limit); ?></a>
			</h3>
			<div class="metaText metaDate"><abbr class="published updated" title="<?php the_time(get_option( 'date_format' )); ?>"><?php mnmd_bone_human_datetime(); ?></abbr></div>
		</div>
	</div>

	<a href="<?php echo esc_url($article_link); ?>" class="overlayLink u-stretched"></a>
</article>