<?php
$header_login = mnmd_bone_get_option('header_login_switch', 'yes');
$header_custom_btn = mnmd_bone_get_option('header_button_switch', 'yes');
?>
<div class="siteHeader-buttons">
	<?php if ( $header_custom_btn === 'yes' ) {
		$header_custom_btn_url = mnmd_bone_get_option('header_button_url', '');
		$header_custom_btn_text = mnmd_bone_get_option('header_button_text', '');
		if ( $header_custom_btn_text ) {
			if ( $header_custom_btn_url ) {
	?><a class="customBtn btn btn--pill btn--solid" href="<?php echo esc_url($header_custom_btn_url); ?>"><span><?php echo esc_html($header_custom_btn_text); ?></span></a><?php }
			else {
		?><div class="customBtn btn btn--pill btn--solid"><span><?php echo esc_html($header_custom_btn_text); ?></span></div><?php
			}
		}
	}

	if ( ($header_login === 'yes') && !is_user_logged_in() ) { ?><div class="signInBtn btn btn--pill has-icon-first" data-toggle="modal" data-target="#js-login-wrapper"><?php echo mnmd_bone_svg_icon( array( 'icon' => 'user' ) ); ?><span><?php esc_html_e('Sign in/Register', 'bone'); ?></span></div><?php } ?>
</div>