<?php
	$args = mnmd_bone_create_ft_args();
	if ( !$args ) {
		return; // there's no post to show
	}

	$featured_class = 'featuredBlock featuredBlock--carousel py-3 py-md-5';
	$background_toggle = mnmd_bone_get_option( 'featured_posts_background_toggle' );
	if ( $background_toggle === 'yes' ) {
		$featured_class .= ' featuredBlock--has-background';
	}
	$feat_query = new WP_Query( $args );
	
if ( $feat_query->have_posts() ) :
?>
<div class="<?php echo esc_attr( $featured_class ); ?>">
	<?php
	if ( $background_toggle === 'yes' ) {
	?>
		<div class="featuredBlock-background d-none d-lg-block"></div>
	<?php
	}
	?>
	<div class="featuredBlock-inner">
		<div class="container">
			<div class="featuredBlock--carousel-carousel md-theme owl-carousel js-feat-carousel">
			<?php while ( $feat_query->have_posts() ) : $feat_query->the_post(); ?>
				<div class="featuredBlock--carousel-item">
				<?php get_template_part( 'templates/post-tile'); ?>
				</div>
				<?php endwhile; ?>	
			</div>
		</div>
	</div>
</div>
<?php
endif;
wp_reset_postdata();