<?php
	if ( !isset($thumb_size) ) {
		$thumb_size = 'mnmd_bone_sm';
	}

	$post_audio = mnmd_bone_get_metabox( 'post_format_audio_url' );

	if ( $post_audio ) {
		$post_audio_is_embed = true;
	} else {
		$post_audio_is_embed = false;
		$post_audio = mnmd_bone_get_metabox( 'post_format_audio_file' );
	}	
?>
<div class="postFormatMedia postFormatMedia--audio">
	<?php
	if ( $post_audio_is_embed ) {
		echo '<div class="responsiveEmbed">' . $post_audio . '</div>';
	} else {
		$post_audio_url = '';
		$post_audio_title = '';
		if ( array_key_exists( 'url', $post_audio ) ) {
			$post_audio_url = $post_audio['url'];
		}
		if ( array_key_exists( 'title', $post_audio ) ) {
			$post_audio_title = $post_audio['title'];
		}

		mnmd_bone_featured_img( $thumb_size );
		?>
		<div class="postFormatMedia--audio-element">
			<audio controls>
				<source src="<?php echo esc_url( $post_audio_url ); ?>">
			</audio>
		</div>
	<?php
	}
	?>
</div>