<?php
	$classes = array(
		'postItem',
		'post--tile',
		'post--tile--center',
		'card',
		'shadow-2'
	);
	if (!isset($thumb_size)) {
		$thumb_size = 'mnmd_bone_lg';
	}
	$article_link =  get_permalink();
	if (!isset($title_limit)) {
		$title_limit = 110;
	}
?>
<article <?php post_class( $classes ); ?>>
	<?php if ( has_post_thumbnail() ) { ?>
		<div class="card-background o-backgroundImg" <?php mnmd_bone_inline_css_background_img($thumb_size, $hidpi = false); ?>></div>
	<?php } ?>

	<div class="card-body d-flex align-items-center jusitify-content-center">
		<div class="postInfo<?php if ( has_post_thumbnail() ) { echo ' overlayInfo'; } ?>">
			<?php mnmd_bone_post_category(); ?>

			<h3 class="postTitle entry-title h2">
				<?php echo mnmd_bone_truncate(get_the_title(), $title_limit); ?>
				<?php mnmd_bone_review_score_badge(); ?>
			</h3>

			<?php mnmd_bone_post_meta_author('1', 24); ?>
		</div>
	</div>

	<a href="<?php echo esc_url($article_link); ?>" class="o-overlayLink"></a>
</article>