<?php
	$classes = array(
		'postItem',
		'post--tile',
		'u-hasBackgroundImg'
	);
	if (!isset($thumb_size)) {
		$thumb_size = 'mnmd_bone_lg';
	}
	$category_array = get_the_category();
	if ( $category_array ) {
		$category_id = $category_array[0]->term_id;
		$category_name = esc_attr( $category_array[0]->name );
		$category_link = esc_url( get_category_link( $category_id ) );
	}
	$article_link =  get_permalink();
	$format = get_post_format();
	$has_header = in_array($format, array( '', 'video', 'gallery', 'audio', 'image', 'status' ));
	if (!isset($title_limit)) {
		$title_limit = 120;
	}
?>
<article <?php post_class( $classes ); mnmd_bone_inline_css_background_img($thumb_size); ?>>
	
	<div class="postInfo overlayInfo u-floorFade">
		<?php mnmd_bone_post_category(); ?>

		<h3 class="postTitle entry-title">
			<?php echo mnmd_bone_truncate(get_the_title(), $title_limit); ?>
		</h3>

		<?php mnmd_bone_post_meta_author('1', 24); ?>
	</div>
	
	<?php mnmd_bone_format_icon(); ?>
	
	<a href="<?php echo esc_url($article_link); ?>" class="o-overlayLink"></a>
</article>