<?php
	$classes = array(
		'postItem',
		'post--tile',
		'post--tile--micro',
		'card',
		'shadow-2',
	);
	if (!isset($thumb_size)) {
		$thumb_size = 'mnmd_bone_sm';
	}
	if ( has_post_thumbnail() ) {
		$thumb_id = get_post_thumbnail_id();
		$thumb_url_array = wp_get_attachment_image_src( $thumb_id, $thumb_size, true );
		$thumb_url = $thumb_url_array[0];
	} else {
		$thumb_url = '';
	}			
	$article_link =  get_permalink();
?>
<article <?php post_class( $classes ); ?>>
	<?php if ( has_post_thumbnail() ) { ?>
	<div class="card-background o-backgroundImg" <?php if ( has_post_thumbnail() ) { mnmd_bone_inline_css_background_img($thumb_size, $hidpi = false); } ?>></div>
	<?php } ?>

	<div class="card-body d-flex align-items-end">
		<div class="postInfo<?php if ( has_post_thumbnail() ) { echo ' overlayInfo'; } ?> ">
			<?php mnmd_bone_post_category(); ?>	
			<h3 class="postTitle entry-title h6">
				<?php the_title(); ?>
			</h3>
			<div class="metaText metaDate"><abbr class="published updated" title="<?php the_time(get_option( 'date_format' )); ?>"><?php mnmd_bone_human_datetime(); ?></abbr></div>	
		</div>
	</div>

	<a href="<?php echo esc_url($article_link); ?>" class="o-overlayLink"></a>
</article>